
package calculator.service;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the calculator.service package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _InvokeOperationResponse_QNAME = new QName("http://service.calculator/", "invokeOperationResponse");
    private final static QName _InvokeOperation_QNAME = new QName("http://service.calculator/", "invokeOperation");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: calculator.service
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InvokeOperationResponse }
     * 
     */
    public InvokeOperationResponse createInvokeOperationResponse() {
        return new InvokeOperationResponse();
    }

    /**
     * Create an instance of {@link InvokeOperation }
     * 
     */
    public InvokeOperation createInvokeOperation() {
        return new InvokeOperation();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InvokeOperationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.calculator/", name = "invokeOperationResponse")
    public JAXBElement<InvokeOperationResponse> createInvokeOperationResponse(InvokeOperationResponse value) {
        return new JAXBElement<InvokeOperationResponse>(_InvokeOperationResponse_QNAME, InvokeOperationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InvokeOperation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.calculator/", name = "invokeOperation")
    public JAXBElement<InvokeOperation> createInvokeOperation(InvokeOperation value) {
        return new JAXBElement<InvokeOperation>(_InvokeOperation_QNAME, InvokeOperation.class, null, value);
    }

}
