package calculator.service;

import javax.annotation.Resource;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.xml.ws.WebServiceContext;
import javax.xml.ws.soap.Addressing;

import com.sun.xml.ws.developer.Stateful;
import com.sun.xml.ws.developer.StatefulWebServiceManager;

@WebService @Stateful @Addressing
public class StatefulCalculator {

	@Resource
	private WebServiceContext wsContext;

	float val= 0;

	@WebMethod
	public float invokeOperation(int op, float num) {
		float curNum = val;//(Float) getSession().getAttribute("num");

		System.out.println("Current num: "+curNum);

		switch (op) {
			case 1:
				curNum +=num;
				break;
			case 2:
				curNum -=num;
				break;
			case 3:
				curNum *=num;
				break;
			case 4:
				curNum /=num;
				break;
		}
		System.out.println("After op "+op+" "+num+": "+curNum);
		val=curNum;
		return curNum;
	}


	// either via a public static field
	public static StatefulWebServiceManager<StatefulCalculator> manager;

}
